package com.heyu.api.data.entity.operation;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*场景下的条件下的具体动作
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("operatin_action")
public class OperatinActionEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.operation.OperatinActionEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";                              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                          // 修改时间
    public final static String operation_mode_id = CLASS_NAME + "operation_mode_id";              // 模式id
    public final static String operation_scene_id = CLASS_NAME + "operation_scene_id";            // 场景ID
    public final static String operation_condition_id = CLASS_NAME + "operation_condition_id";    // 条件id
    public final static String type_ = CLASS_NAME + "type";                                       // 动作类型：0：文本播放 1音频播放 2 U3D动作 3物联网设备动作
    public final static String action_ = CLASS_NAME + "action";                                   // 动作内容
    public final static String connect_id = CLASS_NAME + "connect_id";                            // 当type=2时u3d_action中的id，当type=3时为device_info中的id
    public final static String action_times = CLASS_NAME + "action_times";                        // 触发事件时间偏移量，单位秒：负数标识提前，整数标识往后。当条件为时间、节日时有效
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //模式id
    private Long operationModeId;
    //场景ID
    private Long operationSceneId;
    //条件id
    private Long operationConditionId;
    //动作类型：0：文本播放 1音频播放 2 U3D动作 3物联网设备动作
    private Integer type;
    //动作内容
    private String action;
    //当type=2时u3d_action中的id，当type=3时为device_info中的id
    private Long connectId;
    //触发事件时间偏移量，单位秒：负数标识提前，整数标识往后。当条件为时间、节日时有效
    private Integer actionTimes;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 模式id 
     * @return
     */
    public Long getOperationModeId() {
        return operationModeId;
    }
    /**
     * 模式id 
     * @param operationModeId
     */
    public void setOperationModeId(Long operationModeId) {
        this.operationModeId = operationModeId;
    }

    /**
     * 场景ID 
     * @return
     */
    public Long getOperationSceneId() {
        return operationSceneId;
    }
    /**
     * 场景ID 
     * @param operationSceneId
     */
    public void setOperationSceneId(Long operationSceneId) {
        this.operationSceneId = operationSceneId;
    }

    /**
     * 条件id 
     * @return
     */
    public Long getOperationConditionId() {
        return operationConditionId;
    }
    /**
     * 条件id 
     * @param operationConditionId
     */
    public void setOperationConditionId(Long operationConditionId) {
        this.operationConditionId = operationConditionId;
    }

    /**
     * 动作类型：0：文本播放 1音频播放 2 U3D动作 3物联网设备动作 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 动作类型：0：文本播放 1音频播放 2 U3D动作 3物联网设备动作 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 动作内容 
     * @return
     */
    public String getAction() {
        return action;
    }
    /**
     * 动作内容 
     * @param action
     */
    public void setAction(String action) {
        this.action = action;
    }

    /**
     * 当type=2时u3d_action中的id，当type=3时为device_info中的id 
     * @return
     */
    public Long getConnectId() {
        return connectId;
    }
    /**
     * 当type=2时u3d_action中的id，当type=3时为device_info中的id 
     * @param connectId
     */
    public void setConnectId(Long connectId) {
        this.connectId = connectId;
    }

    /**
     * 触发事件时间偏移量，单位秒：负数标识提前，整数标识往后。当条件为时间、节日时有效 
     * @return
     */
    public Integer getActionTimes() {
        return actionTimes;
    }
    /**
     * 触发事件时间偏移量，单位秒：负数标识提前，整数标识往后。当条件为时间、节日时有效 
     * @param actionTimes
     */
    public void setActionTimes(Integer actionTimes) {
        this.actionTimes = actionTimes;
    }

    @Override
    public String toString() {
        return "OperatinActionEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",operationModeId=" + operationModeId +
                ",operationSceneId=" + operationSceneId +
                ",operationConditionId=" + operationConditionId +
                ",type=" + type +
                ",action=" + action +
                ",connectId=" + connectId +
                ",actionTimes=" + actionTimes +
                "}";
    }
}